/*
Lecture 18: 7/18
*/

public class ArrayFunctionsLecture9{

    // test if a and b have an element in common
    // if so, return the indices {aIndex, bIndex}. if none, return null
    //
    // ex: findMatch({10, 2, 3, 4}, {2, 5}) returns {1,0}
    // ex: findMatch({55, 22, 44, 55, 15, 22}, {11, 33, 55, 22}) returns {0,2}
    // ex: findMatch({-1, 55, 15, 22}, {11, 33, -1}) returns {0,2}
    public static int[] findMatch(int[] a, int[] b){
        
        int[] matchIndices = null;
        for (int i = 0; i < a.length; i++){
            for (int j = 0; j< b.length; j++){
                if (a[i] == b[j]){
                    matchIndices = new int[]{i, j};
                }
            }
        }

        return matchIndices;
    }

    public static void main(String[] args){
        int[] a = new int[] {3, 4, 5, 6, 100};
        int[] b = new int[] {5, 1, 3, 1, 1};
        int[] answer = findMatch(a,b);
        printArray(answer);

    }

    public static void printArray(int[] a){
        System.out.print("{");
        for (int i = 0; i < a.length-1; i++){
            System.out.print(a[i] + ", ");
        }
        System.out.println(a[a.length-1] + "}");
    }
}